#ifndef COLLIDE_H_included
#define COLLIDE_H_included

/*
 * uhmmm...
 */
#define CD_PARANOIA

/*
 * math 3D
 */
typedef double cd_real;

#include "math3d.h"

/*
 * general purpose defines
 */
#define CD_FALSE 0
#define CD_TRUE !CD_FALSE

/*
 * error codes
 */
#define CD_OK    0 /* no error */
#define CD_CYCLE 1 /* infinite cycling */
#define CD_HPERR 2 /* half-plane error */

/*
 * tolerance
 */
#define CD_EPSILON 0.000001

typedef int cd_bool;

extern volatile int cd_error;

cd_bool separating_vector (int Pn, m3_vtx *Pv,
                           int Qn, m3_vtx *Qv,
                           m3_xmat *, m3_xmat *,
                           m3_rmat *, m3_rmat *);

#endif
